"""
This file is needed to build the Python C extension as an .so file.
"""
from distutils.core import setup, Extension


module = Extension(
    '_grope',
    include_dirs = [
        './',
        #'/usr/include/',
        # XXX temp hack for pending GEIS merge
        '/home/oubiwann/lab/sparsha/geis/enumify-GeisGestureType/',
        '/usr/include/gtk-2.0/',
        '/usr/lib/gtk-2.0/include/',
        '/usr/include/glib-2.0',
        '/usr/lib/glib-2.0/include/',
        '/usr/include/cairo/',
        '/usr/include/pango-1.0/',
        '/usr/include/gdk-pixbuf-2.0',
        '/usr/include/atk-1.0/',
        ],
    sources = ['../src/gropegesturemanager.c', '_grope.c'])
 
setup (name = 'PackageName',
        version = '1.0',
        description = 'The Python C extension for libgrope',
        ext_modules = [module])
